package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SettledMerchants;

/**
 * 入驻商家Mapper接口
 * 
 * @author boman
 * @date 2022-06-10
 */
public interface SettledMerchantsMapper 
{
    /**
     * 查询入驻商家
     * 
     * @param businessId 入驻商家主键
     * @return 入驻商家
     */
    public SettledMerchants selectSettledMerchantsByBusinessId(Long businessId);

    /**
     * 根据政策类别获取入驻商家详细信息
     * @param menuId
     * @return
     */
    public List<SettledMerchants> selectSettledMerchantsByMenuId(Long menuId);

    /**
     * 查询入驻商家列表
     * 
     * @param settledMerchants 入驻商家
     * @return 入驻商家集合
     */
    public List<SettledMerchants> selectSettledMerchantsList(SettledMerchants settledMerchants);

    /**
     * 新增入驻商家
     * 
     * @param settledMerchants 入驻商家
     * @return 结果
     */
    public int insertSettledMerchants(SettledMerchants settledMerchants);

    /**
     * 修改入驻商家
     * 
     * @param settledMerchants 入驻商家
     * @return 结果
     */
    public int updateSettledMerchants(SettledMerchants settledMerchants);

    /**
     * 删除入驻商家
     * 
     * @param businessId 入驻商家主键
     * @return 结果
     */
    public int deleteSettledMerchantsByBusinessId(Long businessId);

    /**
     * 批量删除入驻商家
     * 
     * @param businessIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSettledMerchantsByBusinessIds(Long[] businessIds);

    SettledMerchants selectByPhone(String businessPhone);
}
